import request from '@/utils/request'

// 查询调度会议配置列表
export function listDailyMeetingConfig(query) {
  return request({
    url: '/plant/dailyMeetingConfig/list',
    method: 'get',
    params: query
  })
}

// 查询调度会议配置详细
export function getDailyMeetingConfig(id) {
  return request({
    url: '/plant/dailyMeetingConfig/' + id,
    method: 'get'
  })
}

// 新增调度会议配置
export function addDailyMeetingConfig(data) {
  return request({
    url: '/plant/dailyMeetingConfig',
    method: 'post',
    data: data
  })
}

// 修改调度会议配置
export function updateDailyMeetingConfig(data) {
  return request({
    url: '/plant/dailyMeetingConfig',
    method: 'put',
    data: data
  })
}

// 删除调度会议配置
export function delDailyMeetingConfig(id) {
  return request({
    url: '/plant/dailyMeetingConfig/' + id,
    method: 'delete'
  })
}

// 导出调度会议配置
export function exportDailyMeetingConfig(query) {
  return request({
    url: '/plant/dailyMeetingConfig/export',
    method: 'get',
    params: query
  })
}
